/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.aop.bean;

/**
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 * @version $Revision: 1.4 $
 */
public class POJORef
{

   public POJORef()
   {
      System.out.println("POJORef Constructor");
   }

   public void refPOJO()
   {
      POJO p = new POJO();
      System.out.println("refPOJO");

      p.protectedField = 5;
      System.out.println("refPOJO: protectedField: " + p.protectedField);
   }

   public void constructPOJO() {
		
		POJO p = new POJO();
		p.someMethod();

		POJO pp = new POJO("pojo");
		pp.someMethod();

		POJOChild pc = new POJOChild();
		pc.someMethod();
   }
}

